<?php
/* Autor...:  */
/* Esquema.: MST_UnidadConversionMast.xml */
/* Generado: 2020-08-18 04:21:29 */

/* Metodos de acceso a los campos de la tabla MST_UnidadConversionMast */
abstract class BaseMST_UnidadConversionMastBN
{
    /* Campos de la tabla */
    private $s_IdUnidad;    // IdUnidad: ( no definido )
    private $s_IdUnidadEquivalente;    // IdUnidadEquivalente: ( no definido )
    private $f_CantidadEquivalente;    // CantidadEquivalente: ( no definido )
    private $i_Secuencia;    // Secuencia: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdUnidad */
    public function setIdUnidad( $s_IdUnidad )
    {
        $this->s_IdUnidad = $s_IdUnidad;
    }

    /* Obtiene el valor del campo IdUnidad */
    public function getIdUnidad()
    {
        return $this->s_IdUnidad;
    }

    /* Establece el valor del campo IdUnidadEquivalente */
    public function setIdUnidadEquivalente( $s_IdUnidadEquivalente )
    {
        $this->s_IdUnidadEquivalente = $s_IdUnidadEquivalente;
    }

    /* Obtiene el valor del campo IdUnidadEquivalente */
    public function getIdUnidadEquivalente()
    {
        return $this->s_IdUnidadEquivalente;
    }

    /* Establece el valor del campo CantidadEquivalente */
    public function setCantidadEquivalente( $f_CantidadEquivalente )
    {
        $this->f_CantidadEquivalente = $f_CantidadEquivalente;
    }

    /* Obtiene el valor del campo CantidadEquivalente */
    public function getCantidadEquivalente()
    {
        return $this->f_CantidadEquivalente;
    }

    /* Establece el valor del campo Secuencia */
    public function setSecuencia( $i_Secuencia )
    {
        $this->i_Secuencia = $i_Secuencia;
    }

    /* Obtiene el valor del campo Secuencia */
    public function getSecuencia()
    {
        return $this->i_Secuencia;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdUnidad' => $this->getIdUnidad(),
            'IdUnidadEquivalente' => $this->getIdUnidadEquivalente(),
            'CantidadEquivalente' => $this->getCantidadEquivalente(),
            'Secuencia' => $this->getSecuencia(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_UnidadConversionMastBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_UnidadConversionMastRs )
    {
        $o_MST_UnidadConversionMastBN = new MST_UnidadConversionMastBN();
        $o_MST_UnidadConversionMastBN->setIdUnidad( $o_MST_UnidadConversionMastRs[ "IdUnidad" ] );
        $o_MST_UnidadConversionMastBN->setIdUnidadEquivalente( $o_MST_UnidadConversionMastRs[ "IdUnidadEquivalente" ] );
        $o_MST_UnidadConversionMastBN->setCantidadEquivalente( ( float ) $o_MST_UnidadConversionMastRs[ "CantidadEquivalente" ] );
        $o_MST_UnidadConversionMastBN->setSecuencia( ( integer ) $o_MST_UnidadConversionMastRs[ "Secuencia" ] );
        $o_MST_UnidadConversionMastBN->setEstado( $o_MST_UnidadConversionMastRs[ "Estado" ] );
        $o_MST_UnidadConversionMastBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_MST_UnidadConversionMastRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_MST_UnidadConversionMastBN->setUsuarioCreacion( $o_MST_UnidadConversionMastRs[ "UsuarioCreacion" ] );
        $o_MST_UnidadConversionMastBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_MST_UnidadConversionMastRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_MST_UnidadConversionMastBN->setUsuarioModificacion( $o_MST_UnidadConversionMastRs[ "UsuarioModificacion" ] );
        return $o_MST_UnidadConversionMastBN;
    }
}
?>